Update cohort
curl --request PATCH \
--url https://api.example.com/api/v1/burn-in/cohorts/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_cohort": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dest_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.example.com/api/v1/burn-in/cohorts/{id}/"
payload = {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_cohort": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dest_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
job: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
parent_cohort: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
source_device: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
dest_device: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
device_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.example.com/api/v1/burn-in/cohorts/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/burn-in/cohorts/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'job' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'parent_cohort' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'source_device' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'dest_device' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'device_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/burn-in/cohorts/{id}/"
payload := strings.NewReader("{\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"job\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"parent_cohort\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"source_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"dest_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"device_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/api/v1/burn-in/cohorts/{id}/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"job\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"parent_cohort\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"source_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"dest_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"device_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/burn-in/cohorts/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"job\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"parent_cohort\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"source_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"dest_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"device_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"name": "<string>",
"job": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"size": 123,
"cohort_hash": "<string>",
"devices": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"device_names": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"links": {
"self": "<string>",
"collection": "<string>",
"job": "<string>",
"parent": "<string>",
"children": "<string>",
"test_executions": "<string>"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_cohort": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dest_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}Burn-in
Update cohort
Partially update a cohort.
PATCH
/
api
/
v1
/
burn-in
/
cohorts
/
{id}
/
Update cohort
curl --request PATCH \
--url https://api.example.com/api/v1/burn-in/cohorts/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_cohort": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dest_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.example.com/api/v1/burn-in/cohorts/{id}/"
payload = {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_cohort": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dest_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
job: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
parent_cohort: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
source_device: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
dest_device: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
device_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.example.com/api/v1/burn-in/cohorts/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/burn-in/cohorts/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'job' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'parent_cohort' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'source_device' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'dest_device' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'device_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/burn-in/cohorts/{id}/"
payload := strings.NewReader("{\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"job\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"parent_cohort\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"source_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"dest_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"device_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/api/v1/burn-in/cohorts/{id}/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"job\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"parent_cohort\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"source_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"dest_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"device_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/burn-in/cohorts/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"job\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"parent_cohort\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"source_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"dest_device\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"device_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"name": "<string>",
"job": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"size": 123,
"cohort_hash": "<string>",
"devices": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"device_names": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"links": {
"self": "<string>",
"collection": "<string>",
"job": "<string>",
"parent": "<string>",
"children": "<string>",
"test_executions": "<string>"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_cohort": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dest_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}Authorizations
oauth2cookieAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
A UUID string identifying this cohort.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Serializer for Cohort model with embedded device IDs.
Source device for pairwise tests (optional)
Destination device for pairwise tests (optional)
List of device UUIDs that are members of this cohort
Maximum array length:
25000Response
Serializer for Cohort model with embedded device IDs.
Human-readable name (e.g., 'wolf-a7b3k9x2m1')
Pattern:
^[-a-zA-Z0-9_]+$Number of devices in this cohort (denormalized for convenience, max 25000)
SHA-256 hash of (job_id, sorted(device_ids), parent_cohort_id) for idempotency
Serializer for cohort links.
Show child attributes
Show child attributes
Source device for pairwise tests (optional)
Destination device for pairwise tests (optional)